%define languageenglazy Xhosa
%define languagecode    xh
%define lc_ctype        xh_ZA

%define upstream_version 20091030

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://www.translate.org.za/
Source0:        http://extensions.services.openoffice.org/e-files/3133/0/dict-xh_ZA-2009.10.30.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-xh
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README-xh_ZA.txt release-notes-xh_ZA.txt package-description.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README-xh_ZA.txt release-notes-xh_ZA.txt package-description.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.20091030.1-13.mga9
+ Revision: 1801371
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20091030.1-12.mga8
+ Revision: 1490951
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20091030.1-11.mga7
+ Revision: 1262718
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20091030.1-10.mga6
+ Revision: 939323
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20091030.1-9.mga5
+ Revision: 742425
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20091030.1-8.mga5
+ Revision: 680328
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20091030.1-7.mga4
+ Revision: 505940
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20091030.1-6.mga3
+ Revision: 353765
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20091030.1-5.mga2
+ Revision: 224928
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20091030.1-4.mga2
+ Revision: 209152
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20091030.1-2.mga1
+ Revision: 69209
- imported package hunspell-xh


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20091030-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 06 2010 Caolan McNamara <caolanm@redhat.com> - 0.20091030-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20060123-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Caolan McNamara <caolanm@redhat.com> - 0.20060123-1
- initial version
